Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWidgetItem

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QWidgetItem

All Implemented Interfaces:
  QLayoutItemInterface, QtJambiInterface

    public class QWidgetItem

extends QtJambiObject
implements QLayoutItemInterface

The `QWidgetItem` class is a layout item that represents a widget. Normally, you don't need to use this class directly. Qt's built-in layout managers provide the following functions for manipulating widgets in layouts:

Class | Functions
--- | ---
`QBoxLayout` | `addWidget()`, `insertWidget()`, `setStretchFactor()`
`QGridLayout` | `addWidget()`
`QStackedLayout` | addWidget(), `insertWidget()`, `currentWidget()`, `setCurrentWidget()`, `widget()`

See also:
  `QLayout`, `QSpacerItem`, and `QLayoutItem::widget()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QWidgetItem(QWidget w)` Creates an item containing the given `widget`.

Method Summary
`Qt.Alignment` | `alignment()` Returns the alignment of this item.
`QSizePolicy.ControlTypes` | `controlTypes()` Returns the control type(s) for the layout item.
`Qt.Orientations` | `expandingDirections()` Returns whether this layout item can make use of more space than `sizeHint()`.
`static QWidgetItem` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QWidgetItem instance pointed to by `nativePointer`.
`QRect` | `geometry()` Returns the rectangle covered by this layout item.
`boolean` | `hasHeightForWidth()` Returns true if this layout's preferred height depends on its width; otherwise returns false.
`int` | `heightForWidth(int arg__1)` Returns the preferred height for this layout item, given the width `w`.
`void` | `invalidate()` Invalidates any cached information in this layout item.
`boolean` | `isEmpty()` Implemented in subclasses to return whether this item is empty, i.e.
`QLayout` | `layout()` If this item is a `QLayout`, it is returned as a `QLayout`; otherwise 0 is returned.
`QSize` | `maximumSize()` Implemented in subclasses to return the maximum size of this item.
`int` | `minimumHeightForWidth(int arg__1)` Returns the minimum height this widget needs for the given width, `w`.
`QSize` | `minimumSize()` Implemented in subclasses to return the minimum size of this item.
`void` | `setAlignment(Qt.Alignment a)` Sets the alignment of this item to `alignment`.
`void` | `setGeometry(QRect arg__1)` Implemented in subclasses to set this item's geometry to `r`.
`QSize` | `sizeHint()` Implemented in subclasses to return the preferred size of this item.
`QSpacerItem` | `spacerItem()` If this item is a `QSpacerItem`, it is returned as a `QSpacerItem`; otherwise 0 is returned.
`QWidget` | `widget()` If this item is a `QWidget`, it is returned as a `QWidget`; otherwise 0 is returned.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QWidgetItem

    public QWidgetItem(QWidget w)

  Creates an item containing the given `widget`.

Method Detail

### alignment

    public final Qt.Alignment alignment()

  Returns the alignment of this item.

See also:
  `setAlignment()`.

  Specified by:
    `alignment` in interface `QLayoutItemInterface`

### controlTypes

    public final QSizePolicy.ControlTypes controlTypes()

  Returns the control type(s) for the layout item. For a `QWidgetItem`, the control type comes from the widget's size policy; for a `QLayoutItem`, the control types is derived from the layout's contents.

See also:
  `QSizePolicy::controlType()`.

  Specified by:
    `controlTypes` in interface `QLayoutItemInterface`

### setAlignment

    public final void setAlignment(Qt.Alignment a)

  Sets the alignment of this item to `alignment`.

  Note: Item alignment is only supported by `QLayoutItem` subclasses where it would have a visual effect. Except for `QSpacerItem`, which provides blank space for layouts, all public Qt classes that inherit `QLayoutItem` support item alignment.

See also:
  `alignment()`.

  Specified by:
    `setAlignment` in interface `QLayoutItemInterface`

### expandingDirections

    public Qt.Orientations expandingDirections()

  Returns whether this layout item can make use of more space than `sizeHint()`. A value of `Qt::Vertical` or `Qt::Horizontal` means that it wants to grow in only one dimension, whereas `Qt::Vertical` | `Qt::Horizontal` means that it wants to grow in both dimensions.

  Specified by:
    `expandingDirections` in interface `QLayoutItemInterface`

### geometry

    public QRect geometry()

  Returns the rectangle covered by this layout item.

See also:
  `setGeometry()`.

  Specified by:
    `geometry` in interface `QLayoutItemInterface`

### hasHeightForWidth

    public boolean hasHeightForWidth()

  Returns true if this layout's preferred height depends on its width; otherwise returns false. The default implementation returns false.

  Reimplement this function in layout managers that support height for width.

See also:
  `heightForWidth()`, and `QWidget::heightForWidth()`.

  Specified by:
    `hasHeightForWidth` in interface `QLayoutItemInterface`

### heightForWidth

    public int heightForWidth(int arg__1)

  Returns the preferred height for this layout item, given the width `w`.

  The default implementation returns -1, indicating that the preferred height is independent of the width of the item. Using the function `hasHeightForWidth()` will typically be much faster than calling this function and testing for -1.

  Reimplement this function in layout managers that support height for width. A typical implementation will look like this:

          public int heightForWidth(int w)
          {
              if (cache_dirty || cached_width != w) {
                  int h = calculateHeightForWidth(w);
                  cached_hfw = h;
                  return h;
              }
              return cached_hfw;
          }

  Caching is strongly recommended; without it layout will take exponential time.

See also:
  `hasHeightForWidth()`.

  Specified by:
    `heightForWidth` in interface `QLayoutItemInterface`

### invalidate

    public void invalidate()

  Invalidates any cached information in this layout item.

  Specified by:
    `invalidate` in interface `QLayoutItemInterface`

### isEmpty

    public boolean isEmpty()

  Implemented in subclasses to return whether this item is empty, i.e. whether it contains any widgets.

  Specified by:
    `isEmpty` in interface `QLayoutItemInterface`

### layout

    public QLayout layout()

  If this item is a `QLayout`, it is returned as a `QLayout`; otherwise 0 is returned. This function provides type-safe casting.

  Specified by:
    `layout` in interface `QLayoutItemInterface`

### maximumSize

    public QSize maximumSize()

  Implemented in subclasses to return the maximum size of this item.

  Specified by:
    `maximumSize` in interface `QLayoutItemInterface`

### minimumHeightForWidth

    public int minimumHeightForWidth(int arg__1)

  Returns the minimum height this widget needs for the given width, `w`. The default implementation simply returns `heightForWidth`(`w`).

  Specified by:
    `minimumHeightForWidth` in interface `QLayoutItemInterface`

### minimumSize

    public QSize minimumSize()

  Implemented in subclasses to return the minimum size of this item.

  Specified by:
    `minimumSize` in interface `QLayoutItemInterface`

### setGeometry

    public void setGeometry(QRect arg__1)

  Implemented in subclasses to set this item's geometry to `r`.

See also:
  `geometry()`.

  Specified by:
    `setGeometry` in interface `QLayoutItemInterface`

### sizeHint

    public QSize sizeHint()

  Implemented in subclasses to return the preferred size of this item.

  Specified by:
    `sizeHint` in interface `QLayoutItemInterface`

### spacerItem

    public QSpacerItem spacerItem()

  If this item is a `QSpacerItem`, it is returned as a `QSpacerItem`; otherwise 0 is returned. This function provides type-safe casting.

  Specified by:
    `spacerItem` in interface `QLayoutItemInterface`

### widget

    public QWidget widget()

  If this item is a `QWidget`, it is returned as a `QWidget`; otherwise 0 is returned. This function provides type-safe casting.

  Specified by:
    `widget` in interface `QLayoutItemInterface`

### fromNativePointer

    public static QWidgetItem fromNativePointer(QNativePointer nativePointer)

  This method returns the QWidgetItem instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD